
Application: gvSIG desktop - gvSIG bugs #5482
Excepción al eliminar la última fila de tags del Column manager
10/28/2020 11:39 AM - Francisco Puga

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Document table
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3042 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Pasos para reproducir:

    -  Abrir "Column Manager" en una capa cualquiera
    -  Abrir tab "Visualization" 
    -  Pulsar un par de veces en "Add" 
    -  Pulsar varias veces en "Remove"

Salta en el log una excepción y no deja añadir de nuevo.

java.lang.ArrayIndexOutOfBoundsException: 0 >= 0
    at java.util.Vector.elementAt(Vector.java:474)
    at javax.swing.table.DefaultTableModel.getValueAt(DefaultTableModel.java:648)
    at org.gvsig.fmap.dal.swing.impl.featuretype.TagsController.doTableSelecctionChanged(TagsController.java:185)
    at org.gvsig.fmap.dal.swing.impl.featuretype.TagsController.access$000(TagsController.java:37)
    at org.gvsig.fmap.dal.swing.impl.featuretype.TagsController$1.valueChanged(TagsController.java:86)
    at javax.swing.DefaultListSelectionModel.fireValueChanged(DefaultListSelectionModel.java:184)

History
#1 - 05/19/2021 05:03 PM - Álvaro Anguix
- Category set to Document table

#2 - 10/18/2023 01:42 PM - Álvaro Anguix
- Status changed from New to Closed

En el último build 3333 parece que funciona correctamente
